<template>
	<view>
	<view style="text-align: center;">
		<image :src="registration" mode="widthFix" style="width: 690rpx;"></image>
	</view>
	<view class="" style="width: 270rpx;
height: 72rpx;
background: linear-gradient(270deg, #A890FE 0%, #FFAEAE 100%);border-radius: 40rpx;font-size: 30rpx;color: #fff;line-height: 72rpx;text-align: center;margin: 42rpx auto 0;" @click="copy(link)">
		复制链接
	</view>
	<view class="" style="text-align: center;font-size: 24rpx;color: #8B8B8B;">
		复制链接后请至浏览器中下载会员登记表
	</view>
	</view>
</template>

<script>
	export default {
		onLoad() {
				this.getInfo()
		},
		data() {
			return {
				registration:'',
				link:''
			}
		},
		methods: {
			copy(str) {
				uni.setClipboardData({
					data: str
				})
			},
			getInfo(){
				uni.$u.http.post('/api/Publics/config_info').then(res => {
					if(res.code==1){
						this.registration=res.data.registration
						this.link=res.data.regist_file
					}
				})
			}
		}
	}
</script>

<style>
page{
	padding: 30rpx 0;
}
</style>
